Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion
Class EPPSuggestionAction

    java.lang.Object
      com.verisign.epp.codec.suggestion.EPPSuggestionAction

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPSuggestionAction

extends java.lang.Object
implements EPPCodecComponent

Encapsulates a server action to be taken by the Name Suggestions application. Actions indicate how Name Suggestions should be constructed. For intance, the Basic action constructs suggestions by adding a prefix or suffix to the original input. The server can support an unlimited number of actions.

Author:
  jcolosi
See Also:
  Serialized Form

Constructor Summary
`EPPSuggestionAction()` Constructor.
`EPPSuggestionAction(org.w3c.dom.Element aElement)` Constructor.
`EPPSuggestionAction(java.lang.String aName, java.lang.String aWeight)` Constructor.

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()` Name getter.
`WeightEnum` | `getWeight()` Weight getter.
`void` | `setName(java.lang.String aName)` Name setter.
`void` | `setWeight(java.lang.String aWeight)` Weight setter.
`java.lang.String` | `toLogString()` Return a string representation for logging purpose.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPSuggestionAction

    public EPPSuggestionAction()

  Constructor.

### EPPSuggestionAction

    public EPPSuggestionAction(org.w3c.dom.Element aElement)
                        throws EPPDecodeException

  Constructor.

  Parameters:
    `aElement` - a DOM Element
  Throws:
    `EPPDecodeException`

### EPPSuggestionAction

    public EPPSuggestionAction(java.lang.String aName,
                               java.lang.String aWeight)
                        throws InvalidValueException

  Constructor.

  Parameters:
    `aName` - an action name
    `aWeight` - an action weight
  Throws:
    `InvalidValueException`

Method Detail

### getName

    public java.lang.String getName()

  Name getter.

  Returns:
    a name

### getWeight

    public WeightEnum getWeight()

  Weight getter.

  Returns:
    a weight

### setName

    public void setName(java.lang.String aName)

  Name setter.

  Parameters:
    `aName` - a name

### setWeight

    public void setWeight(java.lang.String aWeight)
                   throws InvalidValueException

  Weight setter.

  Parameters:
    `aWeight` - a weight
  Throws:
    `InvalidValueException`

### toLogString

    public java.lang.String toLogString()

  Return a string representation for logging purpose.

  Returns:
    a string

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.